#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "TUFedStardock"
iconName = "TUFedStardock"
longName = "Federation Spacedock"
shipFile = "TUFedStardock"
species = App.SPECIES_FED_STARBASE
menuGroup = "Bases"
playerMenuGroup = ""
Foundation.ShipDef.TUFedStardock = Foundation.StarBaseDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.TUFedStardock.desc = "Federation Starbases (sometimes called Spacedocks) are gargantuan orbital installations constructed and operated by Starfleet, they usually operate above key Federation planets and colonies as a control centre for whole sectors of space. Starbases are frequently used to repair and resupply Federation vessels while the crew can disembark and use the station’s extensive facilities for R&R. Most spacedocks have the ability to construct and refit starships, allowing a single space station to populate a region of space with ships within a few years.  The sheer size of the starbases means they can be considered small colonies in their own right; capable of accommodating more than 40,000 civilians and 20,000 starfleet officers as well as the various travellers that pass though each day, a starbase is often the hub of activity in the sector.  Like most Federation designs, the spacedock facility is built for comfort and functionality; they offer spacious habitation, market quarters and holosuites, a large storage capacity to sustain the crew and hangars for interplanetary and intersolar shuttles.\nStarbase 12 is the primary space facility operating in the Maelstrom, commanded by Admiral Alice Liu. In orbit of New Holland, Starbase 12 acts as a gateway between the Maelstrom and the rest of Federation space. Most space traffic in the region usually passes through the station, and the starships in the area use the facility to rearm and resupply between missions.\nThe Federation Starbase is not designed for conflict. It has limited weaponry and shielding, so relies on Starships to defend it. The station does have a small number of heavy phaser cannons on its upper and lower sides, and a high power shield generator. However, the phasers have narrow coverage and while the shields charge quickly, the size of the shield bubble makes them vulnerable to sustained assault."
Foundation.ShipDef.TUFedStardock.fCrew = 57800


if menuGroup:           Foundation.ShipDef.TUFedStardock.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.TUFedStardock.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
