import App
def CreateAI(pShip, pPlanet):
        pRadius = pPlanet.GetRadius()
	#########################################
	# Creating PlainAI OrbitPlanet at (225, 102)
	pOrbitPlanet = App.PlainAI_Create(pShip, "OrbitPlanet")
	pOrbitPlanet.SetScriptModule("IntelligentCircleObject")
	pOrbitPlanet.SetInterruptable(1)
	pScript = pOrbitPlanet.GetScriptInstance()
	pScript.SetFollowObjectName(pPlanet)
	pScript.SetRoughDistances(pRadius+150, pRadius+200)
	pScript.SetCircleSpeed(fSpeed = 0.5)
	# Done creating PlainAI OrbitPlanet
	#########################################
	#########################################
	# Creating PreprocessingAI AvoidObstacles at (94, 122)
	## Setup:
	import AI.Preprocessors
	pScript = AI.Preprocessors.AvoidObstacles()
	## The PreprocessingAI:
	pAvoidObstacles = App.PreprocessingAI_Create(pShip, "AvoidObstacles")
	pAvoidObstacles.SetInterruptable(1)
	pAvoidObstacles.SetPreprocessingMethod(pScript, "Update")
	pAvoidObstacles.SetContainedAI(pOrbitPlanet)
	# Done creating PreprocessingAI AvoidObstacles
	#########################################
	return pAvoidObstacles
